# $str.lefttofirst

Returns the left part of a string until a given substring

Usage

    $str.lefttofirst(<string>,<substring>[,<case>])

Description
This function returns the left part of the string given as the first parameter from the start until the string given as the second parameter is found. It doesn't include the substring of the second parameter in the returned value. If the second parameter is not found, an empty string is returned. If the third parameter is set to true, then the search is case sensitive; it defaults to false.
Syntax Specification

    <string> $str.lefttofirst(<string:string>,<substring:string>[,<case:bool>])

Examples

        %test = "Hello! My nickname is Pragma, my name is Szymon"
        echo $str.lefttofirst(%test, my);    //  "Hello! "
        echo $str.lefttofirst(%test, my, true);    //  "Hello! My nickname is Pragma, "

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 06:46:00 2013